An Nutzer der hepi-XBMC-Pakete unter amd64: Achtung!

  • Hallo,


    wer gerade jetzt unter amd64 meine neuesten XBMC-Pakete installieren will, bekommt Probleme, weil nicht alle Pakete da sind.


    Erklärung:


    Launchpad baut die XBMC-Pakete für i386 und amd64, wobei das Bauen zeitlich entkoppelt ist. Im Falle von heute sind also die amd64-Pakete schon fertig, aber i386 ist noch in der Warteschleife.


    Manche der Pakete, aus denen XBMC besteht, sind aber plattformunabhängig und es wäre Ressourcenverschwendung, sie für beide Plattformen zu bauen.


    Die als plattformunabhängig gekennzeichneten Pakete werden in Launchpd im Zuge des i386-Builds mitgebaut. Das heißt, solange i386 noch nicht gebaut ist, fehlen die plattformunabhängigen Pakete, die unter amd64 gebraucht werden.


    Da kann ich nix dafür, das ist die Standardbauweise von XBMC unter Launchpad. Shit happens. Man muss warten, bis alles gebaut hat.


    Dieses Problem tritt immer mal wieder auf und ich bin in der Vergangengeit schon deshalb angemotzt worden, deshalb erkläre ich es jetzt mal.


    Gruß
    hepi


    P.S.: Diese Erklärung auf Englisch in unserem Blog: http://www.yavdr.org/blog/blog…te-on-launchpad-how-come/